| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr3d.Graph3dManipulator Class Reference

Basic control for manipulating 3D graphics. More...

Inheritance diagram for IG.Gr3d.Graph3dManipulator:
[legend]
Collaboration diagram for IG.Gr3d.Graph3dManipulator:
[legend]

## Public Member Functions
| Graph3dManipulator ()
| Graph3dManipulator (IVtkFormContainer vtkContainer)
| Costructs 3D graphics manipulator with the specified container of the VTK control to be manipulated. More...
void | InitPositioner ()
void | UpdateTextFields ()
| Updates control's text fields according to values on the manipulated control. More...

## Protected Member Functions
void | PositionInitializeEventHandler ()
| Method that is called in event handlers to initialize the window positioning system for the form containing the current manipulator control. More...
void | LaunchPositionerGuiPanel ()
| Method that launches the panel where the window positioner properties can be changed and tested. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
WindowPositioner | _positioner
WindowPositionerForm | _positionerForm
bool | _suspendEventHandlers = false

## Properties
bool | IsCloseWindoButtonVisible`[get, set]`
| Specifies whether the button that closes the main form is visible. More...
bool | IsPositionerButtonVisible`[get, set]`
| Specifies whether the button that opens the positioner form is visible. More...
IVtkFormContainer | VtkContainer`[get, set]`
| VTK container of type IVtkFormContainer through which VTK functionality is controlled. More...
VtkControlBase | VtkControl`[get, set]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled. More...
I3dGraphicsControl | GraphControl`[get]`
| Graph control that is manipulated by the current control. More...
bool | IsPositioned`[get, set]`
| Whether the form containing the current manipulator control is positioned automatically relative to the form containing the manipulated control. More...
Form | ManipulatedForm`[get]`
| The form that contains the mainipulated graphic window. More...
WindowPositioner | Positioner`[get, protected set]`
| Window positioner. More...
WindowPositionerForm | PositionerForm`[get, set]`
| A GIU panel for setting window positioner properties. More...

## Private Member Functions
void | btnClose_Click (object sender, EventArgs e)
| Closes the top level form if it implements the IClosableFromContainedForm interface. More...
void | btnRefresh_Click (object sender, EventArgs e)
| Refreshes values in the text fields. More...
void | btnUpLeft_Click (object sender, EventArgs e)
void | btnUp_Click (object sender, EventArgs e)
void | btnUpRight_Click (object sender, EventArgs e)
void | btnLeft_Click (object sender, EventArgs e)
void | btnRight_Click (object sender, EventArgs e)
void | btnDownLeft_Click (object sender, EventArgs e)
void | btnDown_Click (object sender, EventArgs e)
void | btnDownRight_Click (object sender, EventArgs e)
void | btnRollCounterClockwise_Click (object sender, EventArgs e)
void | btnRollClockwise_Click (object sender, EventArgs e)
void | btnZoomIn_Click (object sender, EventArgs e)
void | btnZoomOut_Click (object sender, EventArgs e)
void | txtViewAngle_Validated (object sender, EventArgs e)
void | txtR_Validated (object sender, EventArgs e)
void | txtFi_Validated (object sender, EventArgs e)
void | txtTheta_Validated (object sender, EventArgs e)
void | txtRoll_Validated (object sender, EventArgs e)
void | txtRotationStep_Validated (object sender, EventArgs e)
void | txtZoomFactor_Validated (object sender, EventArgs e)
void | txtRotationStep_Enter (object sender, EventArgs e)
void | txtZoomFactor_Enter (object sender, EventArgs e)
void | txtR_Enter (object sender, EventArgs e)
void | txtFi_Enter (object sender, EventArgs e)
void | txtTheta_Enter (object sender, EventArgs e)
void | txtRoll_Enter (object sender, EventArgs e)
void | txtViewAngle_Enter (object sender, EventArgs e)
void | Graph3dManipulator_Load (object sender, EventArgs e)
void | btnPositioner_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
IVtkFormContainer | _vtkContainer
VtkControlBase | _vtkControl
bool | _isPositioned = true
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Button | btnClose
System.Windows.Forms.TextBox | txtTheta
System.Windows.Forms.TextBox | txtFi
System.Windows.Forms.TextBox | txtR
System.Windows.Forms.TextBox | txtViewAngle
System.Windows.Forms.Label | lblTheta
System.Windows.Forms.Label | lblFi
System.Windows.Forms.Label | lblR
System.Windows.Forms.Label | lblViewAngle
System.Windows.Forms.Button | btnUpLeft
System.Windows.Forms.Button | btnRollClockwise
System.Windows.Forms.Button | btnZoomOut
System.Windows.Forms.Button | btnZoomIn
System.Windows.Forms.Button | btnRollCounterClockwise
System.Windows.Forms.Button | btnUpRight
System.Windows.Forms.Button | btnDown
System.Windows.Forms.Button | btnUp
System.Windows.Forms.Button | btnRight
System.Windows.Forms.Button | btnLeft
System.Windows.Forms.Button | btnDownRight
System.Windows.Forms.Button | btnDownLeft
System.Windows.Forms.Label | lblRotationStep
System.Windows.Forms.TextBox | txtRotationStep
System.Windows.Forms.Label | lblZoomFactor
System.Windows.Forms.TextBox | txtZoomFactor
System.Windows.Forms.Label | lblRoll
System.Windows.Forms.TextBox | txtRoll
System.Windows.Forms.Panel | pnl3dManipulator
System.Windows.Forms.Button | btnRefresh
System.Windows.Forms.Button | btnPositioner

## Detailed Description

Basic control for manipulating 3D graphics.

$A Igor xx;

## Constructor & Destructor Documentation

IG.Gr3d.Graph3dManipulator.Graph3dManipulator | ( |  | ) |
| inline

IG.Gr3d.Graph3dManipulator.Graph3dManipulator | ( | IVtkFormContainer | vtkContainer | ) |
| inline

Costructs 3D graphics manipulator with the specified container of the VTK control to be manipulated.

Parameters

  vtkContainer | VTK container that contains the manipulated control.

## Member Function Documentation

void IG.Gr3d.Graph3dManipulator.InitPositioner | ( |  | ) |
| inline

References IG.Forms.WindowPositioner.MasterWeight, IG.Forms.WindowPositioner.MasterWindow, IG.Forms.WindowPositioner.MasterWindowAlignment, IG.Forms.WindowPositioner.MasterWindowShiftRelative, IG.Forms.WindowPositioner.RememberPosition(), IG.Forms.WindowPositioner.ShiftAbsolute, IG.Forms.WindowPositioner.StickToMaster(), IG.Forms.WindowPositioner.Window, IG.Forms.WindowPositioner.WindowAlignment, and IG.Forms.WindowPositioner.WindowShiftRelative.

void IG.Gr3d.Graph3dManipulator.PositionInitializeEventHandler | ( |  | ) |
| inline protected

Method that is called in event handlers to initialize the window positioning system for the form containing the current manipulator control.

References IG.Forms.WindowPositioner.PositionWindow().

void IG.Gr3d.Graph3dManipulator.LaunchPositionerGuiPanel | ( |  | ) |
| inline protected

Method that launches the panel where the window positioner properties can be changed and tested.

void IG.Gr3d.Graph3dManipulator.UpdateTextFields | ( |  | ) |
| inline

Updates control's text fields according to values on the manipulated control.

References IG.Lib.Util.SleepSeconds(), IG.Num.vec3.ToString(), IG.Num.vec3.x, IG.Num.vec3.y, and IG.Num.vec3.z.

void IG.Gr3d.Graph3dManipulator.btnClose_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Closes the top level form if it implements the IClosableFromContainedForm interface.

References IG.Forms.UtilForms.BlinkForm().

void IG.Gr3d.Graph3dManipulator.btnRefresh_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Refreshes values in the text fields.

void IG.Gr3d.Graph3dManipulator.btnUpLeft_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnUp_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnUpRight_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnLeft_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnRight_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnDownLeft_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnDown_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnDownRight_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnRollCounterClockwise_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnRollClockwise_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnZoomIn_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnZoomOut_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtViewAngle_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm().

void IG.Gr3d.Graph3dManipulator.txtR_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm(), and IG.Num.vec3.x.

void IG.Gr3d.Graph3dManipulator.txtFi_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm(), and IG.Num.vec3.y.

void IG.Gr3d.Graph3dManipulator.txtTheta_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm(), and IG.Num.vec3.z.

void IG.Gr3d.Graph3dManipulator.txtRoll_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm().

void IG.Gr3d.Graph3dManipulator.txtRotationStep_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm().

void IG.Gr3d.Graph3dManipulator.txtZoomFactor_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm().

void IG.Gr3d.Graph3dManipulator.txtRotationStep_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtZoomFactor_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtR_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtFi_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtTheta_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtRoll_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.txtViewAngle_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.Graph3dManipulator_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Gr3d.Graph3dManipulator.btnPositioner_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Gr3d.Graph3dManipulator.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Gr3d.Graph3dManipulator.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

IVtkFormContainer IG.Gr3d.Graph3dManipulator._vtkContainer
| private

VtkControlBase IG.Gr3d.Graph3dManipulator._vtkControl
| private

bool IG.Gr3d.Graph3dManipulator._isPositioned = true
| private

WindowPositioner IG.Gr3d.Graph3dManipulator._positioner
| protected

WindowPositionerForm IG.Gr3d.Graph3dManipulator._positionerForm
| protected

bool IG.Gr3d.Graph3dManipulator._suspendEventHandlers = false
| protected

System.ComponentModel.IContainer IG.Gr3d.Graph3dManipulator.components = null
| private

Required designer variable.

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnClose
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtTheta
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtFi
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtR
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtViewAngle
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblTheta
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblFi
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblR
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblViewAngle
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnUpLeft
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnRollClockwise
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnZoomOut
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnZoomIn
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnRollCounterClockwise
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnUpRight
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnDown
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnUp
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnRight
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnLeft
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnDownRight
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnDownLeft
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblRotationStep
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtRotationStep
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblZoomFactor
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtZoomFactor
| private

System.Windows.Forms.Label IG.Gr3d.Graph3dManipulator.lblRoll
| private

System.Windows.Forms.TextBox IG.Gr3d.Graph3dManipulator.txtRoll
| private

System.Windows.Forms.Panel IG.Gr3d.Graph3dManipulator.pnl3dManipulator
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnRefresh
| private

System.Windows.Forms.Button IG.Gr3d.Graph3dManipulator.btnPositioner
| private

## Property Documentation

bool IG.Gr3d.Graph3dManipulator.IsCloseWindoButtonVisible
| get set

Specifies whether the button that closes the main form is visible.

bool IG.Gr3d.Graph3dManipulator.IsPositionerButtonVisible
| get set

Specifies whether the button that opens the positioner form is visible.

IVtkFormContainer IG.Gr3d.Graph3dManipulator.VtkContainer
| get set

VTK container of type IVtkFormContainer through which VTK functionality is controlled.

VtkControlBase IG.Gr3d.Graph3dManipulator.VtkControl
| get set

Gets the control of type VtkControlBase through which VTK functionality is controlled.

I3dGraphicsControl IG.Gr3d.Graph3dManipulator.GraphControl
| get

Graph control that is manipulated by the current control.

bool IG.Gr3d.Graph3dManipulator.IsPositioned
| get set private

Whether the form containing the current manipulator control is positioned automatically relative to the form containing the manipulated control.

Form IG.Gr3d.Graph3dManipulator.ManipulatedForm
| get

The form that contains the mainipulated graphic window.

WindowPositioner IG.Gr3d.Graph3dManipulator.Positioner
| get protected set

Window positioner.

WindowPositionerForm IG.Gr3d.Graph3dManipulator.PositionerForm
| get set protected

A GIU panel for setting window positioner properties.

The documentation for this class was generated from the following files:

- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/Graph3dManipulator.cs
- extensions/igplot3d/plot3d/vtkbased/Forms/testforms/Graph3dManipulator.Designer.cs